| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
func_matrix.hpp File Reference

GLM Core More...

Go to the source code of this file.

## Functions
template<typename T , precision P, template< typename, precision > class matType>
GLM_FUNC_DECL T | determinant (matType< T, P > const &m)
| Returns the transposed matrix of x. More...
template<typename T , precision P, template< typename, precision > class matType>
GLM_FUNC_DECL matType< T, P > | inverse (matType< T, P > const &m)
| Return the inverse of a squared matrix. More...
template<typename T , precision P, template< typename, precision > class matType>
GLM_FUNC_DECL matType< T, P > | matrixCompMult (matType< T, P > const &x, matType< T, P > const &y)
| Multiply matrix x by matrix y component-wise, i.e., result[i][j] is the scalar product of x[i][j] and y[i][j]. More...
template<typename T , precision P, template< typename, precision > class vecTypeA, template< typename, precision > class vecTypeB>
GLM_FUNC_DECL detail::outerProduct_trait< T, P, vecTypeA, vecTypeB >::type | outerProduct (vecTypeA< T, P > const &c, vecTypeB< T, P > const &r)
| Treats the first parameter c as a column vector and the second parameter r as a row vector and does a linear algebraic matrix multiply c * r. More...

## Detailed Description

GLM Core

See also
  GLSL 4.20.8 specification, section 8.6 Matrix Functions

Definition in file func_matrix.hpp.